Bug 550432 - Weird escape sequence in mount command.
Summary: Weird escape sequence in mount command.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bash-completion
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-25 06:47 UTC by Gilboa Davara
Modified: 2010-04-28 20:36 UTC (History)
2 users (show)

Fixed In Version: 1.1-4.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-28 20:36:50 UTC
Type: ---


Attachments (Terms of Use)

Description Gilboa Davara 2009-12-25 06:47:32 UTC
When I try to mount a device, say /boot, I get an invalid completion.
E.g. Typing mount /b[tab] will generate:

$ mount ^[[01;31m^[[K/bo^[[m^[[Kot
.. instead of
$ mount /boot

Versions:
bash-completion-1.0-2.fc11.noarch

The output of /proc/mounts and /bin/mount seems OK.

- Gilboa

Comment 1 Gilboa Davara 2009-12-25 06:50:34 UTC
May be relevant, but I have color prompt (PS1) creation scripts in /etc/profile.d.
However, I have the same prompt.sh scripts on all my machines, and only two machine display this weird behavior.

- Gilboa

Comment 2 Ville Skyttä 2009-12-25 08:29:14 UTC
Could you try with version 1.1 which is on its way to testing?
https://admin.fedoraproject.org/updates/bash-completion-1.1-4.fc11

If it doesn't fix it, do a "set -x" in a shell before trying the completion, then do the completion, and let me see the resulting output.

Comment 3 Gilboa Davara 2009-12-25 10:32:56 UTC
No workie.

$ set -x
+ set -x
++ echo -ne '\033]0;gilboa@gilboa-home-srv:/home/gilboa'

Comment 4 Gilboa Davara 2009-12-25 10:34:26 UTC
Strike that. Forgot to restart the console.

Latest bash-completion seems to solve the problem.

- Gilboa

Comment 5 Gilboa Davara 2009-12-25 10:35:59 UTC
P.S. Any chance of pushing the same fix to EPEL? I'm seeing the same problem in bash-completion-1.0-2.el5.noarch.

- Gilboa

Comment 6 Fedora Update System 2009-12-26 12:02:47 UTC
bash-completion-1.1-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/bash-completion-1.1-5.el5

Comment 7 Ville Skyttä 2009-12-26 12:08:00 UTC
(In reply to comment #5)
> P.S. Any chance of pushing the same fix to EPEL?

For EL-5, yes, I've just pushed one for testing.  It is likely to stay in testing for quite a while because bash 3.x receives much less testing in bash-completion upstream than bash 4.x.  Go post your experiences in bodhi when you've tested this update for a while.

For EL-4 I don't plan to update to 1.1, there are some specfile incompatibilities and bash 3.0 receives even less testing than bash 3.2, and I don't even use EL-4 myself that often, and there are already some known bash 3.0 regressions in later upstream bash-completion revisions.

Comment 8 Fedora Update System 2009-12-26 19:54:05 UTC
bash-completion-1.1-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bash-completion'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13723

Comment 9 Gilboa Davara 2009-12-27 17:30:31 UTC
Thanks!

Let me know when I can test the EPEL version.

- Gilboa

Comment 10 Ville Skyttä 2009-12-28 20:01:17 UTC
(In reply to comment #9)
> Let me know when I can test the EPEL version.

Now :).  I'm not sure if it's available in the testing repo yet, but you can grab it from the URL in comment 6.

Comment 11 Fedora Update System 2010-03-04 20:57:05 UTC
bash-completion-1.1-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Bug Zapper 2010-04-28 11:37:43 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Gilboa Davara 2010-04-28 19:32:57 UTC
Bug fixed.

Thanks,
Gilboa


Note You need to log in before you can comment on or make changes to this bug.